<!DOCTYPE html>
<html lang="en">

<head>
    <link rel="stylesheet" href="stylehome.css">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <!-- JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>
    <link rel="stylesheet"href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@5.15.3/css/fontawesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Lobster&family=Merriweather:ital,wght@0,300;1,400&display=swap" rel="stylesheet">
       </head>

<body>
    <!-------------------Navbar--------------->
    <section id="nav-bar">
        <nav class="navbar navbar-expand-lg navbar-light">
            <div class="container-fluid">
                <h2 class="logo" style="padding-right:625px;"><i>COWIN</i></h2>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fa fa-bars"></i>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item">
                            <a class="nav-link" href="registernum.html">LOGIN</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="http://127.0.0.1:5000/chat">QUERIES</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#precaution">IMPORTANCE</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#socialmedia">CONTACTUS</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#slot">AVAILABLESLOTS</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </section>
    
    <!--Banner Section-->
    <section class="banner">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <p class="body-title">GET YOUR FLU SHOT TODAY!!!</p>
                    <p>Register to book your slot now</p>
                   <form action="registernum.html">
                   <button type="submit" class="btn btn-warning">Book Now</button> 
                </form>
                </div>
                <div class="col-md-6 text-center">
                    <img src="front.png" class="img-fluid">
                </div>
            </div>
        </div>
        <img src="wave1.png"  class="bottom-img">
    </section><br><br><br>
    <!-------------IMPORTANCE--------------------->
<section id="precaution">
    <div class="container">
        <h1 class="title text-center">Why you need to get Vaccinated?</h1>
    
    <div class="row">
        <div class="col-md-6 about-us">
             <p style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">&emsp; With rising Covid-19 cases, it is hard to imagine a positive start your day.
                With the ongoing Covid-19 crisis, most individuals are juggling with mental stress, 
                anxiety, and depression. Studies demonstrate that a positive attitude can impact both 
                physical and mental health. To be positive, you have to use each day as a challenge to 
                get away from negative affirmations and help others to stay positive. It might sound weird 
                how to stay positive throughout a situation like this, but not impossible.To be safe getting 
                vaccinated is very important so please book your slot today!!!.
                Even after getting vaccinated please follow<p>
                <ul>
                   <li style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">Please wear mask when you get outside,in crowd.</li>
                   <li style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">Use sanitizer regularly to avoid spreading bacteria</li>
                    <li style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">Avoid close contact with someone who is sick</li>
                   <li style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">Avoid touching your eyes, nose and mouth frequently</li>
                   <li style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">Clean and disinfect frequently touched objects and surfaces</li>
                   <li style="font-family: 'Lobster', cursive;font-family: 'Merriweather', serif;">Cough or sneeze in your bent elbow - not your hands!</li>
                </ul>            
        </div>
        <div class="col-md-6">
          <img src="https://media.giphy.com/media/ZFWeQC2sD3rJf26VYp/giphy.gif" class="img-fluid" height="100px">
        </div>
        </div>
    </div>
</section><br><br><br>
    
     <!-------------SeeAvailable----------------->
     <section id="slot">
        <div class="container">
            <h1 class="title text-center">See Available Slot</h1>
            <div class="row text-center">
            <div class="col-md-12 services text-center" >
            <div id="body-content" class="container mt-5" style="background:#F7DBF0;">

        <div class="form-group row">
    	<div class="col-sm-5">
        <label class="fw-bold" for="stateDropdown">Select State</label>
        <div>
        <select class="form-select" id="stateDropdown">
            <option selected>Open this select menu</option>
          </select>
          </div>
          </div>

      <div id="div2" class="form-group col-sm-5">
            <label class="fw-bold"  for="districtDropdown" style="font-weight:40px">Select Disctrict</label>
            <div>
            <select class="form-select" id="districtDropdown">
                <option selected>Open this select menu</option>
              </select>
            </div><br><br>
            <input type="submit" class="btn btn-warning" value="Search" id="btn"></button>
      </div>
      </div>

            <table class="table-bordered table mt-5" id="tableCreate">
           </table>
   
   <script>
   $(document).ready(function()
		   {
		       console.log("loaded");
		       var state =$("#stateDropdown");
		       var district=$("#districtDropdown");
		       var btn=$('#btn');
		       var id=0;
		       //call API

		       $.ajax({
		           url:"https://cdn-api.co-vin.in/api/v2/admin/location/states",
		           success:function(results){
		               console.log(results.states);
		               console.log(results.states[0]);
		               $.each(results.states, function(key,value){
		                   state.append('<option value=' + value.state_id + '>' +value.state_name+ '</option>');            })
		           }
		       });

		       $('#stateDropdown').change(function(){
		            var stateId=$(this).val();
		           console.log("stateId: "+ stateId);

		       $.ajax({
		           url:"https://cdn-api.co-vin.in/api/v2/admin/location/districts/" + stateId,
		           success: function(results)
		           {
		               console.log(results.districts);
		               district.empty();
		               $.each(results.districts, function(key,value){
		                   district.append('<option value=' + value.district_id + '>' +value.district_name+ '</option>');})
		           }
		       });
		   });



		   var hos=$('#tableCreate');

		   $('#btn').click(function()
		   {
		       var district=$('#districtDropdown').val();
		           console.log(district);
		           var d=new Date();
		           var today_date=d.getDate();
		       $.ajax({
		           url:"https://cdn-api.co-vin.in/api/v2/appointment/sessions/public/findByDistrict?district_id="+district+"&date="+today_date,
		           success: function(results)
		           {
		               hos.empty();
		                   hos.append('<thead class="table-dark">');
		                   hos.append('<th class="p-3 border" scope="col"> SL. NO.</th>');     
		                   hos.append('<th class="p-3 border" scope="col"> NAME</th>');
		                   hos.append('<th class="p-3 border" scope="col"> CENTER ID</th>');
		                   hos.append('<th class="p-3 border" scope="col"> AVAILABILITY OF DOSE 1</th>');
		                   hos.append('<th class="p-3 border" scope="col"> AVAILABILITY OF DOSE 2</th>');
		                   hos.append('<th class="p-3 border" scope="col"> AVAILABILITY OF CAPACITY</th>');
		                   hos.append('<th class="p-3 border" scope="col"> FEE</th>');
		                   hos.append('<th class="p-3 border" scope="col"> MINIMUM AGE</th>');
		                   hos.append('<th class="p-3 border"  scope="col"> VACCINE</th>');
                           hos.append('<th class="p-3 border" scope="col"> SLOTS</th>');
                           //hos.append('<th class="p-3 border" scope="col"> Book here</th>');
		                   hos.append('</thead>');
		               $.each(results.sessions, function(key,value){
		                   id=id+1;
		                   hos.append('<tr>');
		                   hos.append('<td class="p-3 border">'+ id + '</td>');
		                   hos.append('<td class="p-3 border" value='+value.name+'>'+value.name+'</td>');
                           hos.append('<td class="p-3 border" value='+value.center_id+'>'+value.center_id+'</td>');
		                   hos.append('<td  class="p-3 border" value='+value.available_capacity_dose1+'>'+value.available_capacity_dose1+'</td>');
		                   hos.append('<td  class="p-3 border" value='+value.available_capacity_dose2+'>'+value.available_capacity_dose2+'</td>');
		                   hos.append('<td  class="p-3 border" value='+value.available_capacity+'>'+value.available_capacity+'</td>');
		                   hos.append('<td  class="p-3 border" value='+ value.fee+'>'+value.fee+'</td>');
		                   hos.append('<td  class="p-3 border" value='+ value.min_age_limit+'>'+value.min_age_limit+'</td>');
		                   hos.append('<td  class="p-3 border" value='+value.vaccine+'>'+value.vaccine+'</td>');
                           hos.append('<td   class="p-3 border" value='+value.slots+'>'+value.slots+'</td>');
                           //hos.append('<td><input type="submit" class="btn btn-primary mt-5 book" value="book"  name="book"></td>');
		                   hos.append('</tr>');
		                  
		               })
		           }
		   });
		   });
		  
		   });
   
            </script>
            </div>
            </div>     
            </div> 
        </div>
    </section><br><br><br>

<!------------social media-------------->
<section id="socialmedia">
    <div class="container text-center">
        <p>FIND US ON Social Media</p>
        <div class="social-icons">
            <a href="#"><img src="instagram-icon.png"></a>
            <a href="#"><img src="linkedin-icon.png"></a>
            <a href="#"><img src="whatsapp-icon.png"></a>
            <a href="#"><img src="facebook-icon.png"></a>
        </div>
    </div>
</section>
<!--------------footer----------->
<section id="footer">
    <img src="wave2.png" class="footer-img">
    <div class="container">
        <div class="row">
            <div class="col-md-4 footer-box">
              <h2 class="logo"><i>COWIN</i></h2>
                <p>This pandemic changed our lifestyle
                  it showed that taking care of our health 
                  is much important .We are all with you don't 
                  hesitate to take vaccine.Stay safe Stay healthy
                </p>
            </div>
            <div class="col-md-4 footer-box">
               <form action="feedback.html">
                <p><h4>Give your Feedback</h4></p>
                <button type="submit" class="btn btn-primary">FeedBack</button>
                </form>
            </div>
        </div>
        <hr>
        <p class="copyright">This Website is created by Team Twinkling stars under the guidence of GSOP</p>
    </div>
</section> 
</body>
<script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script><script>
  var scroll = new SmoothScroll('a[href*="#"]');
</script>


</html>